PACMAN-CONF(8)

NAME
pacman-conf - query pacman's configuration file

SYNOPSIS

pacman-conf [options] [<directive> ...]

pacman-conf (--repo-list|--help|--version)

DESCRIPTION

pacman-conf is a utility for parsing the pacman configuration file and returning script-friendly output. It is designed to properly handle non-trivial configuration features such as variable interpolation and the use of the Include directive, and guarantees that it will return the same configuration values which pacman itself would use.

pacman-conf will output the fully-resolved contents of the configuration file by default, or, if provided with the name of a configuration directive, output the contents of the given directive alone.

OPTIONS

-c, --config <path>
    Specify an alternate configuration file.

-R, --rootdir <path>
    Specify an alternate installation root (default is /).

-r, --repo <remote>
    Query options for a specific repository.

-v, --verbose
    Always shown directive names.

-l, --repo-list
    List configured repositories.

-h, --help
    Output syntax and command line options.

-V, --version
    Display version and exit.

EXAMPLES

pacman-conf -r core Usage
    Show the value of the Usage configuration option for core repository.

pacman-conf HoldPkg
    Show the value of the HoldPkg configuration option.

SEE ALSO

pacman.conf(5)

See the pacman website at https://archlinux.org/pacman/ for current information on pacman and its related tools.

BUGS

Bugs? You must be kidding; there are no bugs in this software. But if we happen to be wrong, submit a bug report with as much detail as possible at the Arch Linux Bug Tracker in the Pacman section.

AUTHORS

Current maintainers:

    • Allan McRae <allan@archlinux.org>

    • Andrew Gregory <andrew.gregory.8@gmail.com>

    • Eli Schwartz <eschwartz@archlinux.org>

    • Morgan Adamiec <morganamilo@archlinux.org>

Past major contributors:

    • Judd Vinet <jvinet@zeroflux.org>

    • Aurelien Foret <aurelien@archlinux.org>

    • Aaron Griffin <aaron@archlinux.org>

    • Dan McGee <dan@archlinux.org>

    • Xavier Chantry <shiningxc@gmail.com>

    • Nagy Gabor <ngaba@bibl.u-szeged.hu>

    • Dave Reisner <dreisner@archlinux.org>

For additional contributors, use git shortlog -s on the pacman.git repository.